ServerEvents.recipes(event => {
    event.shaped(
  Item.of('mm:paint', 1),
  [
    'ABA',
    'BCB', 
    'ABA'
  ],
  {
    A: 'kubejs:noir',
    B: 'minecraft:black_dye',  
    C: 'minecraft:stonecutter'
  }
)
    event.shaped(
  Item.of('kubejs:noir', 1),
  [
    'ABD',
    'BCB', 
    'DBA'
  ],
  {
    A: 'minecraft:gravel',
    B: 'minecraft:cobblestone',  
    C: 'minecraft:sand',
    D: 'minecraft:black_dye',
  }
)
event.shaped(
  Item.of('mm:energy_paint_input', 1),
  [
    'ABA',
    'BCB', 
    'ABA'
  ],
  {
    A: 'kubejs:noir',
    B: 'minecraft:redstone_block',  
    C: 'ae2:charged_certus_quartz_crystal'
  }
)
event.shaped(
  Item.of('mm:fluid_input', 1),
  [
    'ABA',
    'BCB', 
    'ABA'
  ],
  {
    A: 'kubejs:noir',
    B: 'minecraft:water_bucket',  
    C: 'mob_grinding_utils:tank'
  }
)
event.shaped(
  Item.of('mm:item_paint_input', 1),
  [
    'ABA',
    'BCB', 
    'ABA'
  ],
  {
    A: 'kubejs:noir',
    B: 'cyclic:hopper',  
    C: 'minecraft:hopper'
  }
)
event.shaped(
  Item.of('mm:item_paint_output', 1),
  [
    'A',
  ],
  {
    A: 'mm:item_paint_input'
  }
)
})
